Subject: Re: [PATCH net-next v2 5/7] tcp: allow tls to decrypt directly from the tcp rcv queue

From: Jakub Kicinski <[email-masked]>
Date: Fri, 22 Jul 2022 11:39:48 -0700

On Fri, 22 Jul 2022 10:00:44 +0200 Paolo Abeni wrote:
> I'm personally fine either way, and the new helper looks small enough,
> so whatever is easier to you.
> 
> Unrealted to this series, I'm wondering if it would makes sense
> reworking tcp_read_sock() API to avoid the indirect call? 

Perhaps those who care and don't drop the lock could move to the API
I'm adding? Not sure what the major use cases for tcp_read_sock() are.